Abcd Class Reference
Math tools » 1-D Interpolations and corresponding traits

Abcd interpolation factory and traits More...

`#include <ql/math/interpolations/abcdinterpolation.hpp>`

## Public Member Functions

| Abcd (Real a, Real b, Real c, Real d, bool aIsFixed, bool bIsFixed, bool cIsFixed, bool dIsFixed, bool vegaWeighted=false, const boost::shared_ptr< EndCriteria > endCriteria=boost::shared_ptr< EndCriteria >(), const boost::shared_ptr< OptimizationMethod > optMethod=boost::shared_ptr< OptimizationMethod >())
template<class I1 , class I2 >
Interpolation | interpolate (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin) const

## Static Public Attributes

static const bool | global = true

## Detailed Description

Abcd interpolation factory and traits